net.sf.saxon.serialize.codenorm

## Class Normalizer

- java.lang.Object
- - net.sf.saxon.serialize.codenorm.Normalizer

-     public class Normalizer
      extends Object

  Implements Unicode Normalization Forms C, D, KC, KD. Copyright (c) 1991-2005 Unicode, Inc. For terms of use, see http://www.unicode.org/terms_of_use.html For documentation, see UAX#15.
  The Unicode Consortium makes no expressed or implied warranty of any kind, and assumes no liability for errors or omissions. No liability is assumed for incidental and consequential damages in connection with or arising out of the use of the information here.
  Author:
    Mark Davis Updates for supplementary code points: Vladimir Weinstein & Markus Scherer Modified to remove dependency on ICU code: Michael Kay

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `C` Normalization Form Selector
    `static int` | `D` Normalization Form Selector
    `static int` | `KC` Normalization Form Selector
    `static int` | `KD` Normalization Form Selector
    `static int` | `NO_ACTION` Normalization Form Selector

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Normalizer(int form, Configuration config)` Create a normalizer for a given form.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharSequence` | `normalize(CharSequence source)` Normalizes text according to the chosen form

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### D

          public static final int D

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### C

          public static final int C

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### KD

          public static final int KD

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### KC

          public static final int KC

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### NO_ACTION

          public static final int NO_ACTION

      Normalization Form Selector
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Normalizer

          public Normalizer(int form,
                    Configuration config)
                     throws XPathException

      Create a normalizer for a given form.
      Parameters:
        `form` - the normalization form required: for example `C`, `D`
        `config` - the Saxon configuration
      Throws:
        `XPathException` - if normalization fails

  - ### Method Detail

    - #### normalize

          public CharSequence normalize(CharSequence source)

      Normalizes text according to the chosen form
      Parameters:
        `source` - the original text, unnormalized
      Returns:
        target the resulting normalized text

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.